For the complete documentation index, see llms.txt. This page is also available as Markdown.

Downloads

get

Get the current status of a download task

Path parameters
task_idstringRequired

ID of the download task to check

Responses
200

Task status retrieved successfully

application/json
get/download/tasks/{task_id}
GET /download/tasks/{task_id} HTTP/1.1
Accept: */*
{
  "resource": {
    "id": "text",
    "status": "added"
  }
}
get

Get the results of a download task for a specific element within a dashboard.

Path parameters
dashboard_idstringRequired
dashboard_element_idstringRequired
Query parameters
accountIdstringOptional
task_idstringRequired
compressstring · enumOptionalDefault: zipPossible values:
Responses
200

Download task results retrieved successfully. When compress=zip (default) returns application/zip. When compress=none returns text/csv directly.

string · binaryOptional
get/download/dashboards/{dashboard_id}/dashboard_elements/{dashboard_element_id}
GET /download/dashboards/{dashboard_id}/dashboard_elements/{dashboard_element_id}?task_id=text HTTP/1.1
Accept: */*
binary
post

Creates an asynchronous download task for a specific element within a dashboard.

Path parameters
dashboard_idstringRequired
dashboard_element_idstringRequired
Query parameters
accountIdstringOptional
expanded_tablesbooleanOptional
filtersstringOptional
apply_visbooleanOptional
Responses
200

Download task created successfully

application/json
post/download/dashboards/{dashboard_id}/dashboard_elements/{dashboard_element_id}
POST /download/dashboards/{dashboard_id}/dashboard_elements/{dashboard_element_id} HTTP/1.1
Accept: */*
{
  "resource": {
    "id": "text",
    "status": "added"
  }
}

Last updated

Was this helpful?